# Method: parents.delete

- [HTTP request](https://developers.google.com/workspace/drive/api/reference/rest/v2/parents/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/drive/api/reference/rest/v2/parents/delete#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/drive/api/reference/rest/v2/parents/delete#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/drive/api/reference/rest/v2/parents/delete#body.request_body)
- [Response body](https://developers.google.com/workspace/drive/api/reference/rest/v2/parents/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/drive/api/reference/rest/v2/parents/delete#body.aspect)
- [Try it!](https://developers.google.com/workspace/drive/api/reference/rest/v2/parents/delete#try-it)

Removes a parent from a file.

### HTTP request

`DELETE https://www.googleapis.com/drive/v2/files/{fileId}/parents/{parentId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `fileId` | `string` The ID of the file. |
| `parentId` | `string` The ID of the parent. |

### Query parameters

| Parameters ||
|---|---|
| `enforceSingleParent (deprecated)` | `boolean` Deprecated: If an item is not in a shared drive and its last parent is removed, the item is placed under its owner's root. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/docs`
- `
  https://www.googleapis.com/auth/drive`
- `
  https://www.googleapis.com/auth/drive.file`

Some scopes are restricted and require a security assessment for your app to use them. For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).